# DMMGSetSNESLocalFD

Sets the local user function that is used to approximately compute the Jacobian via finite differences.

### Synopsis

    #include "petscda.h"
    #include "petscmg.h"
    #include "petscdmmg.h"
    #include "petscmat.h"
    PetscErrorCode DMMGSetSNESLocalFD(DMMG *dmmg,DALocalFunction1 function)

Collective on DMMG

### Input Parameter

| dmmg | - the context
| function | - the function that defines the nonlinear system

### See Also

DMMGCreate(), DMMGDestroy, DMMGSetKSP(), DMMGSetSNES(), DMMGSetSNESLocal()

Level:intermediate
Location: src/snes/utils/damgsnes.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages